add_newline = false
# A minimal left prompt
format = """$hosnamet$directory$git_branch$git_commit$git_status$character"""
# # move the rest of the prompt to the right
# right_format = """$git_branch $git_commit $git_status"""
command_timeout = 1000

[hostname]
style = "fg:#87afd7"

[directory]
style = "fg:#87afd7"
format = "[$path]($style)"
# truncation_length = 3
# truncation_symbol = "…/"

[character]
success_symbol = "[ >](bold green)"
error_symbol = "[ x](bold red)"
vimcmd_symbol = "[ <](bold green)"

[git_status]
style = "fg:#d7af5f"
format = "[( $conflicted$untracked$modified$staged$renamed$deleted$ahead_behind$stashed)]($style)"
conflicted = "!"
untracked = "?"
modified = "M"
staged = "S"
stashed = "≡"
ahead = ">"
behind = "<"
diverged = "<>"
renamed = "r"
deleted = "x"

[git_branch]
style = "fg:#c6c6c6"
format =  '[ $symbol$branch(:$remote_branch)]($style)'

